/** COUCHE ACTIVE (LAYER CONTROL) */

.funkyradio div {
    clear: both;
    overflow: hidden;
    display: contents;
}

.funkyradio label {
    width: 83%;
    border-radius: 3px;
    border: 1px solid #D1D3D4;
    font-weight: normal;
    margin-bottom: 0 !important;
}

.group-funnkyradio {
    width: 88% !important;
}

.funkyradio input[type="checkbox"]:empty {
    display: none;
}

.funkyradio input[type="checkbox"]:empty~label {
    position: relative;
    color: #777;
    line-height: 2.5em;
    text-indent: -0.25em;
    padding-left: 3.25em;
    /* margin-top: 1em; */
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.funkyradio input[type="checkbox"]:not(:checked)~label img {
    opacity: .7;
}

.funkyradio input[type="checkbox"]:empty~label:before {
    position: absolute;
    display: block;
    top: -1px;
    bottom: 0px;
    left: -1px;
    content: '';
    width: 2.6em;
    background: #D1D3D4;
    border-radius: 3px 0 0 3px;
}

.funkyradio input[type="checkbox"]:hover:not(:checked)~label {
    color: #888;
}

.funkyradio input[type="checkbox"]:hover:not(:checked)~label:before {
    content: '\2713';
    text-indent: .9em;
    color: #C2C2C2;
    display: flex;
    align-items: center;
}

.funkyradio input[type="checkbox"]:checked~label {
    color: #000;
}

.funkyradio input[type="checkbox"]:checked~label:before {
    content: '\2713';
    text-indent: .9em;
    color: #333;
    background-color: #ccc;
    display: flex;
    align-items: center;
}

.funkyradio input[type="checkbox"]:focus~label:before {
    box-shadow: 0 0 0 3px #999;
}

.funkyradio-primary input[type="checkbox"]:checked~label:before {
    color: #fff;
    background-color: var(--bs-primary);
}
